Bug 63187 - both bcm5700 and tg3 entries in modules.conf for same NIC
both bcm5700 and tg3 entries in modules.conf for same NIC
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-04-10 18:12 EDT by John A. Hull
Modified: 2014-03-16 22:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-11 15:34:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John A. Hull 2002-04-10 18:12:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; DigExt)

Description of problem:
anaconda puts multiple ethX devices into /etc/modules.conf for the same 
broadcom 5701 card. One eth device will point to the tg3 module, the other will 
point to the bcm5700 module. For example:

alias eth1  tg3
alias eth2  bcm5700

Should only be one entry, and it should be the bcm5700 module

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install hampton beta 4 with a broadcom bcm5700 card
2. view modules.conf --> 2 eth entries exist
3.
	

Actual Results:  alias eth1  tg3
alias eth2  bcm5700


Expected Results:  alias eth1  bcm5700


Additional info:
Comment 1 Bill Nottingham 2002-04-10 18:17:07 EDT
Actually, tg3 is the preferred driver.

Did you do a kickstart install with specific drivers specified?
Comment 2 John A. Hull 2002-04-10 18:30:57 EDT
No, just interactive CD, FTP, and NFS installs.
Comment 3 Bill Nottingham 2002-04-10 18:42:13 EDT
Is this the *stock* beta4 anaconda & kudzu?
Comment 4 John A. Hull 2002-04-11 15:34:15 EDT
Yes. Happens with stock beta 3 also.
Comment 5 Bill Nottingham 2002-04-11 17:11:32 EDT
The bcm5700 driver has lots of extraneous MODULE_DEVICE_TABLE entries... that's
what's causing this problem.

Worked around in kudzu-0.99.51-1.

Note You need to log in before you can comment on or make changes to this bug.